Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-video",
    "input": {
      "model": "veo3-fast-text-to-video",
      "prompt": "A drone shot flying over a tropical island"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits30 credits per second
Toolcreate-video

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYescreate-video
input.modelstringYesveo3-fast-text-to-video
input.promptstringYesText description of the video to generate
input.aspect_ratiostringNoAspect ratio of the video. Options: 16:9, 9:16, 1:1
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-video",
    "input": {
      "model": "veo3-fast-text-to-video",
      "prompt": "A drone shot flying over a tropical island"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}